<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /var/www/html/ci3/application/models</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../.css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/style.css" rel="stylesheet" type="text/css">
  <!--[if lt IE 9]>
  <script src="../.js/html5shiv.min.js"></script>
  <script src="../.js/respond.min.js"></script>
  <![endif]-->
 </head>
 <body>
  <header>
   <div class="container">
    <div class="row">
     <div class="col-md-12">
      <ol class="breadcrumb">
        <li><a href="../index.html">/var/www/html/ci3/application</a></li>
        <li><a href="index.html">models</a></li>
        <li class="active">(Dashboard)</li>

      </ol>
     </div>
    </div>
   </div>
  </header>
  <div class="container">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Category_model.php.html#5">Category_model</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product_model.php.html#5">Product_model</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Role_model.php.html#5">Role_model</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#5">User_model</a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="User_model.php.html#5">User_model</a></td><td class="text-right">272</td></tr>
       <tr><td><a href="Category_model.php.html#5">Category_model</a></td><td class="text-right">56</td></tr>
       <tr><td><a href="Product_model.php.html#5">Product_model</a></td><td class="text-right">56</td></tr>
       <tr><td><a href="Role_model.php.html#5">Role_model</a></td><td class="text-right">20</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Category_model.php.html#7"><abbr title="Category_model::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Role_model.php.html#23"><abbr title="Role_model::get_roles">get_roles</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#71"><abbr title="User_model::role_exists">role_exists</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#61"><abbr title="User_model::is_user_exists">is_user_exists</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#55"><abbr title="User_model::delete_user">delete_user</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#46"><abbr title="User_model::update_user">update_user</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#41"><abbr title="User_model::save_user">save_user</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#35"><abbr title="User_model::get_users">get_users</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#23"><abbr title="User_model::get_user_by_email">get_user_by_email</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#12"><abbr title="User_model::getuser">getuser</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#7"><abbr title="User_model::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Role_model.php.html#12"><abbr title="Role_model::role_exists">role_exists</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Category_model.php.html#12"><abbr title="Category_model::getcategory">getcategory</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Role_model.php.html#7"><abbr title="Role_model::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product_model.php.html#42"><abbr title="Product_model::delete_product">delete_product</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product_model.php.html#36"><abbr title="Product_model::update_product">update_product</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product_model.php.html#29"><abbr title="Product_model::save_product">save_product</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product_model.php.html#23"><abbr title="Product_model::get_products">get_products</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product_model.php.html#12"><abbr title="Product_model::getproduct">getproduct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Product_model.php.html#7"><abbr title="Product_model::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Category_model.php.html#46"><abbr title="Category_model::all_products">all_products</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Category_model.php.html#29"><abbr title="Category_model::save_relation">save_relation</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Category_model.php.html#23"><abbr title="Category_model::get_categories">get_categories</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User_model.php.html#82"><abbr title="User_model::get_roles">get_roles</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="User_model.php.html#46"><abbr title="User_model::update_user">update_user</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Category_model.php.html#12"><abbr title="Category_model::getcategory">getcategory</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Category_model.php.html#29"><abbr title="Category_model::save_relation">save_relation</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Product_model.php.html#12"><abbr title="Product_model::getproduct">getproduct</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Role_model.php.html#12"><abbr title="Role_model::role_exists">role_exists</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User_model.php.html#12"><abbr title="User_model::getuser">getuser</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User_model.php.html#23"><abbr title="User_model::get_user_by_email">get_user_by_email</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User_model.php.html#61"><abbr title="User_model::is_user_exists">is_user_exists</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User_model.php.html#71"><abbr title="User_model::role_exists">role_exists</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 5.3.0</a> using <a href="https://secure.php.net/" target="_top">PHP 7.2.34-8+ubuntu18.04.1+deb.sury.org+1</a> with <a href="https://xdebug.org/">Xdebug 3.0.1</a> and <a href="https://phpunit.de/">PHPUnit 6.5.5</a> at Fri Jan 15 12:48:23 UTC 2021.</small>
    </p>
   </footer>
  </div>
  <script src="../.js/jquery.min.js" type="text/javascript"></script>
  <script src="../.js/bootstrap.min.js" type="text/javascript"></script>
  <script src="../.js/holder.min.js" type="text/javascript"></script>
  <script src="../.js/d3.min.js" type="text/javascript"></script>
  <script src="../.js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([4,0,0,0,0,0,0,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([24,0,0,0,0,0,0,0,0,0,0,0], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,7,"<a href=\"Category_model.php.html#5\">Category_model<\/a>"],[0,7,"<a href=\"Product_model.php.html#5\">Product_model<\/a>"],[0,4,"<a href=\"Role_model.php.html#5\">Role_model<\/a>"],[0,16,"<a href=\"User_model.php.html#5\">User_model<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Category_model.php.html#7\">Category_model::__construct<\/a>"],[0,2,"<a href=\"Category_model.php.html#12\">Category_model::getcategory<\/a>"],[0,1,"<a href=\"Category_model.php.html#23\">Category_model::get_categories<\/a>"],[0,2,"<a href=\"Category_model.php.html#29\">Category_model::save_relation<\/a>"],[0,1,"<a href=\"Category_model.php.html#46\">Category_model::all_products<\/a>"],[0,1,"<a href=\"Product_model.php.html#7\">Product_model::__construct<\/a>"],[0,2,"<a href=\"Product_model.php.html#12\">Product_model::getproduct<\/a>"],[0,1,"<a href=\"Product_model.php.html#23\">Product_model::get_products<\/a>"],[0,1,"<a href=\"Product_model.php.html#29\">Product_model::save_product<\/a>"],[0,1,"<a href=\"Product_model.php.html#36\">Product_model::update_product<\/a>"],[0,1,"<a href=\"Product_model.php.html#42\">Product_model::delete_product<\/a>"],[0,1,"<a href=\"Role_model.php.html#7\">Role_model::__construct<\/a>"],[0,2,"<a href=\"Role_model.php.html#12\">Role_model::role_exists<\/a>"],[0,1,"<a href=\"Role_model.php.html#23\">Role_model::get_roles<\/a>"],[0,1,"<a href=\"User_model.php.html#7\">User_model::__construct<\/a>"],[0,2,"<a href=\"User_model.php.html#12\">User_model::getuser<\/a>"],[0,2,"<a href=\"User_model.php.html#23\">User_model::get_user_by_email<\/a>"],[0,1,"<a href=\"User_model.php.html#35\">User_model::get_users<\/a>"],[0,1,"<a href=\"User_model.php.html#41\">User_model::save_user<\/a>"],[0,3,"<a href=\"User_model.php.html#46\">User_model::update_user<\/a>"],[0,1,"<a href=\"User_model.php.html#55\">User_model::delete_user<\/a>"],[0,2,"<a href=\"User_model.php.html#61\">User_model::is_user_exists<\/a>"],[0,2,"<a href=\"User_model.php.html#71\">User_model::role_exists<\/a>"],[0,1,"<a href=\"User_model.php.html#82\">User_model::get_roles<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
